DEB2DOCKER(1)

NOM

deb2docker – Construire une image Docker avec les paquets Debian spécifiés

SYNOPSIS

deb2docker [-hB][-c CMDE][-f DEPUIS][-n NOM][-o RÉP][-p PRÉ_SCRIPT][-s POST_SCRIPT] paquets

DESCRIPTION

deb2docker est un script simple qui prend en entrée une liste de paquets Debian et génère automatiquement un conteneur Docker incluant ces paquets. Un jeu d’icônes de lancement freedesktop.org est aussi généré à partir de fichiers d’icônes et .desktop trouvés dans les paquets. En outre, une icône de lancement pour démarrer le conteneur dans un Terminal est créée.

Cet outil est fait pour déployer des applications en tant que conteneurs, ainsi que pour tester des paquets Debian dans un bac à sable.

OPTIONS

-B  ne PAS construire l’image (par défaut elle est construite). Un script build est généré dans le dossier de destination RÉP.

-c EXEC
    Commande à exécuter dans le conteneur (par défaut, /bin/bash).

-f DEPUIS
    Distribution à utiliser (par défaut debian:stable).

-h  Affiche cette aide

-n NOM
    Nom de l’image (par défaut, généré à partir de la liste de paquets).

-o RÉP
    Utilise le dossier RÉP spécifié pour la construction (par défaut dans /tmp).

-p PRÉ_SCRIPT
    Exécute le script spécifié PRÉ_SCRIPT avant d’installer les paquets.

-s POST_SCRIPT
    Exécute le script spécifié POST_SCRIPT après avoir installé les paquets.

paquets
    La liste de paquets peut inclure tout paquet Debian, ainsi que des fichiers .deb locaux.

FICHIERS

•   DIR/README

•   DIR/Dockerfile

•   DIR/launchers/

•   DIR/icons/

•   DIR/build

•   DIR/start

NOTES

Vous devez bien entendu avoir installé Docker et faire partie du groupe docker :

•   sudo apt install docker.io

•   sudo usermod -aG docker $USER`

Vous pouvez avoir à paramétrer manuellement Docker pour spécifier une configuration de mandataire (proxy).

Les commandes couramment utilisées pour manipuler des conteneurs Docker sont :

build
    docker build –rm Dockerfile exécuter docker run –rm -it NOM nettoyer docker rmi NOM nettoyer TOUT docker system prune -a

EXEMPLES

Créer un conteneur Docker avec le paquet x11-apps dans le dossier /tmp/xeyes et exécuter xeyes :

•   deb2docker -o /tmp/xeyes x11-apps

•   /tmp/xeyes/start xeyes

    Une icône de lancement /tmp/xeyes/launchers/x11-apps-terminal.desktop est crée

Créer un conteneur Docker avec x11-apps et meshlab
    deb2docker x11-apps meshlab

Créer un conteneur Docker en activant les canaux logiciels :

•   echo “sed -i `s/main/main contrib non-free/g' /etc/apt/sources.list” > pre.sh

•   deb2docker -p pre.sh x11-apps

AUTEURS

Emmanuel Farhi (emmanuel.farhi@synchrotron-soleil.fr)

VOIR AUSSI

deb2apptainer(1), distrobox-create(1), distrobox-enter(1), docker(1), apptainer(1)

AUTEURS
Emmanuel Farhi.

TRADUCTION
Ce document est une traduction, maintenue à lʼaide de lʼoutil po4a <https://po4a.org/> par lʼéquipe de traduction francophone du projet Debian.

Plusieurs traducteurs dont Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux, David Prévot et Xavier Guimard ont contribué aux traductions.

Lʼéquipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant lʼoption « -L C » à la commande man.